
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was MoonrayConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib64/cmake/Moonray-17.14.0.0" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

# 
# The variables <var1> to <varN> given as PATH_VARS are the variables which contain install destinations.
# For each of them the macro will create a helper variable PACKAGE_<var...>.
# These helper variables must be used in the FooConfig.cmake.in file for setting the installed location.

include(CMakeFindDependencyMacro)

find_dependency(BISON) # built-in
find_dependency(FLEX)  # built-in

set(BUILD_SHARED_LIBS ON)
find_dependency(Boost)

if(MOONRAY_USE_OPTIX)
    find_dependency(CUDAToolkit) # built-in
    find_dependency(OptiX)
endif()

find_package(Amorphous QUIET)

if(NOT APPLE)
  find_dependency(Libatomic)
endif()
find_dependency(ZLIB)
find_package(IlmBase QUIET)
find_dependency(JPEG)
find_dependency(SceneRdl2)
find_dependency(McrtDenoise)
find_dependency(OpenEXR)
find_dependency(OpenVDB)
find_dependency(OpenSubDiv)
find_dependency(Embree 4.2)
find_dependency(Random123)
find_dependency(OpenImageIO)
find_dependency(TBB)

find_package(Mkl QUIET)


include("${CMAKE_CURRENT_LIST_DIR}/MoonrayTargets.cmake")

check_required_components(Moonray)
